package ru.yandex.webmaster3.core.turbo.model.feed;

import org.joda.time.DateTime;

import java.util.UUID;

/**
 * Created by Oleg Bazdyrev on 09/06/2018.
 * Общий интерфейс для настроек RSS-фидов или тасок API
 * Несколько костыльно, вероятно лучше сделать класс для всего этого
 */
public interface TurboFeedSettingsInfo {

    default String getUrl() {
        return null;
    }

    default UUID getTaskId() {
        return null;
    }

    TurboFeedType getType();

    boolean isActive();

    DateTime getAddDate();

    default boolean isValidating() {
        return false;
    }
}
